Loading...
Searching...
No Matches
pcl::device::TextureBinder Class Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/containers/include/pcl/gpu/containers/impl/texture_binder.hpp>`

## Public Member Functions

template<class T, enum cudaTextureReadMode readMode>
| TextureBinder (const DeviceArray2D< T > &arr, const struct texture< T, 2, readMode > &tex)
template<class T, enum cudaTextureReadMode readMode>
| TextureBinder (const DeviceArray< T > &arr, const struct texture< T, 1, readMode > &tex)
template<class T, enum cudaTextureReadMode readMode>
| TextureBinder (const PtrStepSz< T > &arr, const struct texture< T, 2, readMode > &tex)
template<class T, enum cudaTextureReadMode readMode>
| TextureBinder (const PtrSz< T > &arr, const struct texture< T, 1, readMode > &tex)
| ~TextureBinder ()

## Detailed Description

Definition at line 45 of file texture_binder.hpp.

## Constructor & Destructor Documentation

## TextureBinder() [1/4]

template<class T, enum cudaTextureReadMode readMode>

pcl::gpu::TextureBinder::TextureBinder | ( | const DeviceArray2D< T > & | arr,
|  | const struct texture< T, 2, readMode > & | tex )

inline

Definition at line 48 of file texture_binder.hpp.

## TextureBinder() [2/4]

template<class T, enum cudaTextureReadMode readMode>

pcl::gpu::TextureBinder::TextureBinder | ( | const DeviceArray< T > & | arr,
|  | const struct texture< T, 1, readMode > & | tex )

inline

Definition at line 57 of file texture_binder.hpp.

## TextureBinder() [3/4]

template<class T, enum cudaTextureReadMode readMode>

pcl::gpu::TextureBinder::TextureBinder | ( | const PtrStepSz< T > & | arr,
|  | const struct texture< T, 2, readMode > & | tex )

inline

Definition at line 65 of file texture_binder.hpp.

## TextureBinder() [4/4]

template<class T, enum cudaTextureReadMode readMode>

pcl::gpu::TextureBinder::TextureBinder | ( | const PtrSz< T > & | arr,
|  | const struct texture< T, 1, readMode > & | tex )

inline

Definition at line 74 of file texture_binder.hpp.

## ~TextureBinder()

pcl::gpu::TextureBinder::~TextureBinder | ( |  | ) |

inline

Definition at line 81 of file texture_binder.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/containers/include/pcl/gpu/containers/impl/texture_binder.hpp